# Visualization
TKService
Image

# Image_ColorPixelDataMap Class Reference

`#include <Image_ColorPixelDataMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Image_ColorPixelDataMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT Image_ColorPixelDataMap & | Assign (const Image_ColorPixelDataMap &Other)
Image_ColorPixelDataMap & | operator= (const Image_ColorPixelDataMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Image_ColorPixelDataMap ()
Standard_EXPORT Standard_Boolean | Bind (const Aspect_ColorPixel &K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const Aspect_ColorPixel &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Aspect_ColorPixel &K)
Standard_EXPORT const Standard_Integer & | Find (const Aspect_ColorPixel &K) const
const Standard_Integer & | operator() (const Aspect_ColorPixel &K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const Aspect_ColorPixel &K)
Standard_Integer & | operator() (const Aspect_ColorPixel &K)

## Private Member Functions

Standard_EXPORT | Image_ColorPixelDataMap (const Image_ColorPixelDataMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Image_ColorPixelDataMap::Image_ColorPixelDataMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

Image_ColorPixelDataMap::~Image_ColorPixelDataMap | ( |  | ) | `[inline]`

Standard_EXPORT Image_ColorPixelDataMap::Image_ColorPixelDataMap | ( | const Image_ColorPixelDataMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Image_ColorPixelDataMap& Image_ColorPixelDataMap::Assign | ( | const Image_ColorPixelDataMap & | Other | ) |

Standard_EXPORT Standard_Boolean Image_ColorPixelDataMap::Bind | ( | const Aspect_ColorPixel & | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& Image_ColorPixelDataMap::ChangeFind | ( | const Aspect_ColorPixel & | K | ) |

Standard_EXPORT void Image_ColorPixelDataMap::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& Image_ColorPixelDataMap::Find | ( | const Aspect_ColorPixel & | K | ) | const

Standard_EXPORT Standard_Boolean Image_ColorPixelDataMap::IsBound | ( | const Aspect_ColorPixel & | K | ) | const

void Image_ColorPixelDataMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Image_ColorPixelDataMap::operator new | ( | size_t | size | ) | `[inline]`

void* Image_ColorPixelDataMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& Image_ColorPixelDataMap::operator() | ( | const Aspect_ColorPixel & | K | ) | `[inline]`

const Standard_Integer& Image_ColorPixelDataMap::operator() | ( | const Aspect_ColorPixel & | K | ) | const`[inline]`

Image_ColorPixelDataMap& Image_ColorPixelDataMap::operator= | ( | const Image_ColorPixelDataMap & | Other | ) | `[inline]`

Standard_EXPORT void Image_ColorPixelDataMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Image_ColorPixelDataMap::UnBind | ( | const Aspect_ColorPixel & | K | ) |

The documentation for this class was generated from the following file:

- Image_ColorPixelDataMap.hxx